<?xml version="1.0" encoding="UTF-8"?>

<!--XBRL Document Created with Wdesk from Workiva-->
<!--Copyright 2022 Workiva-->
<!--r:3e86f01b-36c4-4a5a-ba29-ee233607cf31,g:b215c27f-622e-4722-aba0-6d2b6a8f9a90-->
<link:linkbase xmlns:link="http://www.xbrl.org/2003/linkbase" xmlns:xlink="http://www.w3.org/1999/xlink" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xsi:schemaLocation="http://www.xbrl.org/2003/linkbase http://www.xbrl.org/2003/xbrl-linkbase-2003-12-31.xsd">
  <link:roleRef roleURI="http://www.xbrl.org/2009/role/negatedPeriodStartLabel" xlink:type="simple" xlink:href="http://www.xbrl.org/lrr/role/negated-2009-12-16.xsd#negatedPeriodStartLabel"/>
  <link:roleRef roleURI="http://www.xbrl.org/2009/role/netLabel" xlink:type="simple" xlink:href="http://www.xbrl.org/lrr/role/net-2009-12-16.xsd#netLabel"/>
  <link:roleRef roleURI="http://www.xbrl.org/2009/role/negatedNetLabel" xlink:type="simple" xlink:href="http://www.xbrl.org/lrr/role/negated-2009-12-16.xsd#negatedNetLabel"/>
  <link:roleRef roleURI="http://www.xbrl.org/2009/role/negatedTerseLabel" xlink:type="simple" xlink:href="http://www.xbrl.org/lrr/role/negated-2009-12-16.xsd#negatedTerseLabel"/>
  <link:roleRef roleURI="http://www.xbrl.org/2009/role/negatedPeriodEndLabel" xlink:type="simple" xlink:href="http://www.xbrl.org/lrr/role/negated-2009-12-16.xsd#negatedPeriodEndLabel"/>
  <link:roleRef roleURI="http://www.xbrl.org/2009/role/negatedLabel" xlink:type="simple" xlink:href="http://www.xbrl.org/lrr/role/negated-2009-12-16.xsd#negatedLabel"/>
  <link:roleRef roleURI="http://www.xbrl.org/2009/role/negatedTotalLabel" xlink:type="simple" xlink:href="http://www.xbrl.org/lrr/role/negated-2009-12-16.xsd#negatedTotalLabel"/>
  <link:labelLink xlink:role="http://www.xbrl.org/2003/role/link" xlink:type="extended">
    <link:label id="lab_btplc_PrepaymentsInRespectOfSpectrumAnchors_label_en" xlink:label="lab_btplc_PrepaymentsInRespectOfSpectrumAnchors" xlink:role="http://www.xbrl.org/2003/role/label" xlink:type="resource" xmlns:xml="http://www.w3.org/XML/1998/namespace" xml:lang="en">Prepayments In Respect Of Spectrum Anchors</link:label>
    <link:label id="lab_btplc_PrepaymentsInRespectOfSpectrumAnchors_documentation_en" xlink:label="lab_btplc_PrepaymentsInRespectOfSpectrumAnchors" xlink:role="http://www.xbrl.org/2003/role/documentation" xlink:type="resource" xmlns:xml="http://www.w3.org/XML/1998/namespace" xml:lang="en">Prepayments In Respect Of Spectrum Anchors</link:label>
    <link:loc xlink:type="locator" xlink:label="loc_btplc_PrepaymentsInRespectOfSpectrumAnchors" xlink:href="549300OWFMSO9NYV4H90-2022-03-31.xsd#btplc_PrepaymentsInRespectOfSpectrumAnchors"/>
    <link:labelArc xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="loc_btplc_PrepaymentsInRespectOfSpectrumAnchors" xlink:to="lab_btplc_PrepaymentsInRespectOfSpectrumAnchors" xlink:type="arc" order="1"/>
    <link:label id="lab_ifrs-full_CashFlowsFromUsedInOperatingActivities_0d3922ee-a77e-4620-a2a6-858a6130065e_totalLabel_en" xlink:label="lab_ifrs-full_CashFlowsFromUsedInOperatingActivities" xlink:role="http://www.xbrl.org/2003/role/totalLabel" xlink:type="resource" xmlns:xml="http://www.w3.org/XML/1998/namespace" xml:lang="en">Cash flows from (used in) operating activities</link:label>
    <link:loc xlink:type="locator" xlink:label="loc_ifrs-full_CashFlowsFromUsedInOperatingActivities" xlink:href="http://xbrl.ifrs.org/taxonomy/2021-03-24/full_ifrs/full_ifrs-cor_2021-03-24.xsd#ifrs-full_CashFlowsFromUsedInOperatingActivities"/>
    <link:labelArc xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="loc_ifrs-full_CashFlowsFromUsedInOperatingActivities" xlink:to="lab_ifrs-full_CashFlowsFromUsedInOperatingActivities" xlink:type="arc" order="1"/>
    <link:label id="lab_btplc_SpecificItemsMember_label_en" xlink:label="lab_btplc_SpecificItemsMember" xlink:role="http://www.xbrl.org/2003/role/label" xlink:type="resource" xmlns:xml="http://www.w3.org/XML/1998/namespace" xml:lang="en">Specific Items [Member]</link:label>
    <link:label id="lab_btplc_SpecificItemsMember_documentation_en" xlink:label="lab_btplc_SpecificItemsMember" xlink:role="http://www.xbrl.org/2003/role/documentation" xlink:type="resource" xmlns:xml="http://www.w3.org/XML/1998/namespace" xml:lang="en">Specific Items</link:label>
    <link:loc xlink:type="locator" xlink:label="loc_btplc_SpecificItemsMember" xlink:href="549300OWFMSO9NYV4H90-2022-03-31.xsd#btplc_SpecificItemsMember"/>
    <link:labelArc xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="loc_btplc_SpecificItemsMember" xlink:to="lab_btplc_SpecificItemsMember" xlink:type="arc" order="1"/>
    <link:label id="lab_btplc_NetPurchaseDisposalOfNonCurrentAssetInvestmentsClassifiedAsInvestingActivities_label_en" xlink:label="lab_btplc_NetPurchaseDisposalOfNonCurrentAssetInvestmentsClassifiedAsInvestingActivities" xlink:role="http://www.xbrl.org/2003/role/label" xlink:type="resource" xmlns:xml="http://www.w3.org/XML/1998/namespace" xml:lang="en">Net (Purchase) Disposal Of Non-Current Asset Investments Classified As Investing Activities</link:label>
    <link:label id="lab_btplc_NetPurchaseDisposalOfNonCurrentAssetInvestmentsClassifiedAsInvestingActivities_documentation_en" xlink:label="lab_btplc_NetPurchaseDisposalOfNonCurrentAssetInvestmentsClassifiedAsInvestingActivities" xlink:role="http://www.xbrl.org/2003/role/documentation" xlink:type="resource" xmlns:xml="http://www.w3.org/XML/1998/namespace" xml:lang="en">Net (Purchase) Disposal Of Non-Current Asset Investments Classified As Investing Activities</link:label>
    <link:loc xlink:type="locator" xlink:label="loc_btplc_NetPurchaseDisposalOfNonCurrentAssetInvestmentsClassifiedAsInvestingActivities" xlink:href="549300OWFMSO9NYV4H90-2022-03-31.xsd#btplc_NetPurchaseDisposalOfNonCurrentAssetInvestmentsClassifiedAsInvestingActivities"/>
    <link:labelArc xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="loc_btplc_NetPurchaseDisposalOfNonCurrentAssetInvestmentsClassifiedAsInvestingActivities" xlink:to="lab_btplc_NetPurchaseDisposalOfNonCurrentAssetInvestmentsClassifiedAsInvestingActivities" xlink:type="arc" order="1"/>
    <link:label id="lab_btplc_AdjustmentsForIncreaseDecreaseInContractAssetsAnchors_label_en" xlink:label="lab_btplc_AdjustmentsForIncreaseDecreaseInContractAssetsAnchors" xlink:role="http://www.xbrl.org/2003/role/label" xlink:type="resource" xmlns:xml="http://www.w3.org/XML/1998/namespace" xml:lang="en">Adjustments For (Increase) Decrease In Contract Assets Anchors</link:label>
    <link:label id="lab_btplc_AdjustmentsForIncreaseDecreaseInContractAssetsAnchors_documentation_en" xlink:label="lab_btplc_AdjustmentsForIncreaseDecreaseInContractAssetsAnchors" xlink:role="http://www.xbrl.org/2003/role/documentation" xlink:type="resource" xmlns:xml="http://www.w3.org/XML/1998/namespace" xml:lang="en">Adjustments For (Increase) Decrease In Contract Assets Anchors</link:label>
    <link:loc xlink:type="locator" xlink:label="loc_btplc_AdjustmentsForIncreaseDecreaseInContractAssetsAnchors" xlink:href="549300OWFMSO9NYV4H90-2022-03-31.xsd#btplc_AdjustmentsForIncreaseDecreaseInContractAssetsAnchors"/>
    <link:labelArc xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="loc_btplc_AdjustmentsForIncreaseDecreaseInContractAssetsAnchors" xlink:to="lab_btplc_AdjustmentsForIncreaseDecreaseInContractAssetsAnchors" xlink:type="arc" order="1"/>
    <link:label id="lab_btplc_BankOverdraftsExcludedFromCashAndCashEquivalents_label_en" xlink:label="lab_btplc_BankOverdraftsExcludedFromCashAndCashEquivalents" xlink:role="http://www.xbrl.org/2003/role/label" xlink:type="resource" xmlns:xml="http://www.w3.org/XML/1998/namespace" xml:lang="en">Bank Overdrafts Excluded From Cash And Cash Equivalents</link:label>
    <link:label id="lab_btplc_BankOverdraftsExcludedFromCashAndCashEquivalents_documentation_en" xlink:label="lab_btplc_BankOverdraftsExcludedFromCashAndCashEquivalents" xlink:role="http://www.xbrl.org/2003/role/documentation" xlink:type="resource" xmlns:xml="http://www.w3.org/XML/1998/namespace" xml:lang="en">Bank Overdrafts Excluded From Cash And Cash Equivalents</link:label>
    <link:loc xlink:type="locator" xlink:label="loc_btplc_BankOverdraftsExcludedFromCashAndCashEquivalents" xlink:href="549300OWFMSO9NYV4H90-2022-03-31.xsd#btplc_BankOverdraftsExcludedFromCashAndCashEquivalents"/>
    <link:labelArc xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="loc_btplc_BankOverdraftsExcludedFromCashAndCashEquivalents" xlink:to="lab_btplc_BankOverdraftsExcludedFromCashAndCashEquivalents" xlink:type="arc" order="1"/>
    <link:label id="lab_btplc_GroupIncomeStatementMember_label_en" xlink:label="lab_btplc_GroupIncomeStatementMember" xlink:role="http://www.xbrl.org/2003/role/label" xlink:type="resource" xmlns:xml="http://www.w3.org/XML/1998/namespace" xml:lang="en">Group Income Statement [Member]</link:label>
    <link:label id="lab_btplc_GroupIncomeStatementMember_documentation_en" xlink:label="lab_btplc_GroupIncomeStatementMember" xlink:role="http://www.xbrl.org/2003/role/documentation" xlink:type="resource" xmlns:xml="http://www.w3.org/XML/1998/namespace" xml:lang="en">Group Income Statement</link:label>
    <link:loc xlink:type="locator" xlink:label="loc_btplc_GroupIncomeStatementMember" xlink:href="549300OWFMSO9NYV4H90-2022-03-31.xsd#btplc_GroupIncomeStatementMember"/>
    <link:labelArc xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="loc_btplc_GroupIncomeStatementMember" xlink:to="lab_btplc_GroupIncomeStatementMember" xlink:type="arc" order="1"/>
    <link:label id="lab_btplc_CashFlowsFromDerivativesRelatedToNetDebtClassifiedAsFinancingActivitiesAnchors_label_en" xlink:label="lab_btplc_CashFlowsFromDerivativesRelatedToNetDebtClassifiedAsFinancingActivitiesAnchors" xlink:role="http://www.xbrl.org/2003/role/label" xlink:type="resource" xmlns:xml="http://www.w3.org/XML/1998/namespace" xml:lang="en">Cash Flows From Derivatives Related To Net Debt Classified As Financing Activities Anchors</link:label>
    <link:label id="lab_btplc_CashFlowsFromDerivativesRelatedToNetDebtClassifiedAsFinancingActivitiesAnchors_documentation_en" xlink:label="lab_btplc_CashFlowsFromDerivativesRelatedToNetDebtClassifiedAsFinancingActivitiesAnchors" xlink:role="http://www.xbrl.org/2003/role/documentation" xlink:type="resource" xmlns:xml="http://www.w3.org/XML/1998/namespace" xml:lang="en">Cash Flows From Derivatives Related To Net Debt Classified As Financing Activities Anchors</link:label>
    <link:loc xlink:type="locator" xlink:label="loc_btplc_CashFlowsFromDerivativesRelatedToNetDebtClassifiedAsFinancingActivitiesAnchors" xlink:href="549300OWFMSO9NYV4H90-2022-03-31.xsd#btplc_CashFlowsFromDerivativesRelatedToNetDebtClassifiedAsFinancingActivitiesAnchors"/>
    <link:labelArc xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="loc_btplc_CashFlowsFromDerivativesRelatedToNetDebtClassifiedAsFinancingActivitiesAnchors" xlink:to="lab_btplc_CashFlowsFromDerivativesRelatedToNetDebtClassifiedAsFinancingActivitiesAnchors" xlink:type="arc" order="1"/>
    <link:label id="lab_btplc_MovementInCapitalAccruals_label_en" xlink:label="lab_btplc_MovementInCapitalAccruals" xlink:role="http://www.xbrl.org/2003/role/label" xlink:type="resource" xmlns:xml="http://www.w3.org/XML/1998/namespace" xml:lang="en">Movement In Capital Accruals</link:label>
    <link:label id="lab_btplc_MovementInCapitalAccruals_documentation_en" xlink:label="lab_btplc_MovementInCapitalAccruals" xlink:role="http://www.xbrl.org/2003/role/documentation" xlink:type="resource" xmlns:xml="http://www.w3.org/XML/1998/namespace" xml:lang="en">Movement In Capital Accruals</link:label>
    <link:loc xlink:type="locator" xlink:label="loc_btplc_MovementInCapitalAccruals" xlink:href="549300OWFMSO9NYV4H90-2022-03-31.xsd#btplc_MovementInCapitalAccruals"/>
    <link:labelArc xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="loc_btplc_MovementInCapitalAccruals" xlink:to="lab_btplc_MovementInCapitalAccruals" xlink:type="arc" order="1"/>
    <link:label id="lab_btplc_PensionDeficitPayment_label_en" xlink:label="lab_btplc_PensionDeficitPayment" xlink:role="http://www.xbrl.org/2003/role/label" xlink:type="resource" xmlns:xml="http://www.w3.org/XML/1998/namespace" xml:lang="en">Pension Deficit Payment</link:label>
    <link:label id="lab_btplc_PensionDeficitPayment_documentation_en" xlink:label="lab_btplc_PensionDeficitPayment" xlink:role="http://www.xbrl.org/2003/role/documentation" xlink:type="resource" xmlns:xml="http://www.w3.org/XML/1998/namespace" xml:lang="en">Pension Deficit Payment</link:label>
    <link:loc xlink:type="locator" xlink:label="loc_btplc_PensionDeficitPayment" xlink:href="549300OWFMSO9NYV4H90-2022-03-31.xsd#btplc_PensionDeficitPayment"/>
    <link:labelArc xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="loc_btplc_PensionDeficitPayment" xlink:to="lab_btplc_PensionDeficitPayment" xlink:type="arc" order="1"/>
    <link:label id="lab_btplc_AdjustmentsForDecreaseIncreaseInProgrammeRights_label_en" xlink:label="lab_btplc_AdjustmentsForDecreaseIncreaseInProgrammeRights" xlink:role="http://www.xbrl.org/2003/role/label" xlink:type="resource" xmlns:xml="http://www.w3.org/XML/1998/namespace" xml:lang="en">Adjustments For Decrease (Increase) In Programme Rights</link:label>
    <link:label id="lab_btplc_AdjustmentsForDecreaseIncreaseInProgrammeRights_documentation_en" xlink:label="lab_btplc_AdjustmentsForDecreaseIncreaseInProgrammeRights" xlink:role="http://www.xbrl.org/2003/role/documentation" xlink:type="resource" xmlns:xml="http://www.w3.org/XML/1998/namespace" xml:lang="en">Adjustments For Decrease (Increase) In Programme Rights</link:label>
    <link:loc xlink:type="locator" xlink:label="loc_btplc_AdjustmentsForDecreaseIncreaseInProgrammeRights" xlink:href="549300OWFMSO9NYV4H90-2022-03-31.xsd#btplc_AdjustmentsForDecreaseIncreaseInProgrammeRights"/>
    <link:labelArc xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="loc_btplc_AdjustmentsForDecreaseIncreaseInProgrammeRights" xlink:to="lab_btplc_AdjustmentsForDecreaseIncreaseInProgrammeRights" xlink:type="arc" order="1"/>
    <link:label id="lab_btplc_BeforeSpecificItemsMember_label_en" xlink:label="lab_btplc_BeforeSpecificItemsMember" xlink:role="http://www.xbrl.org/2003/role/label" xlink:type="resource" xmlns:xml="http://www.w3.org/XML/1998/namespace" xml:lang="en">Before Specific Items [Member]</link:label>
    <link:label id="lab_btplc_BeforeSpecificItemsMember_documentation_en" xlink:label="lab_btplc_BeforeSpecificItemsMember" xlink:role="http://www.xbrl.org/2003/role/documentation" xlink:type="resource" xmlns:xml="http://www.w3.org/XML/1998/namespace" xml:lang="en">Before Specific Items</link:label>
    <link:loc xlink:type="locator" xlink:label="loc_btplc_BeforeSpecificItemsMember" xlink:href="549300OWFMSO9NYV4H90-2022-03-31.xsd#btplc_BeforeSpecificItemsMember"/>
    <link:labelArc xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="loc_btplc_BeforeSpecificItemsMember" xlink:to="lab_btplc_BeforeSpecificItemsMember" xlink:type="arc" order="1"/>
    <link:label id="lab_ifrs-full_IncreaseDecreaseInCashAndCashEquivalentsBeforeEffectOfExchangeRateChanges_14de7c47-063e-4f8a-937e-fcc9c8b53b4e_totalLabel_en" xlink:label="lab_ifrs-full_IncreaseDecreaseInCashAndCashEquivalentsBeforeEffectOfExchangeRateChanges" xlink:role="http://www.xbrl.org/2003/role/totalLabel" xlink:type="resource" xmlns:xml="http://www.w3.org/XML/1998/namespace" xml:lang="en">Increase (decrease) in cash and cash equivalents before effect of exchange rate changes</link:label>
    <link:loc xlink:type="locator" xlink:label="loc_ifrs-full_IncreaseDecreaseInCashAndCashEquivalentsBeforeEffectOfExchangeRateChanges" xlink:href="http://xbrl.ifrs.org/taxonomy/2021-03-24/full_ifrs/full_ifrs-cor_2021-03-24.xsd#ifrs-full_IncreaseDecreaseInCashAndCashEquivalentsBeforeEffectOfExchangeRateChanges"/>
    <link:labelArc xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="loc_ifrs-full_IncreaseDecreaseInCashAndCashEquivalentsBeforeEffectOfExchangeRateChanges" xlink:to="lab_ifrs-full_IncreaseDecreaseInCashAndCashEquivalentsBeforeEffectOfExchangeRateChanges" xlink:type="arc" order="1"/>
    <link:label id="lab_ifrs-full_AssetsLessCurrentLiabilities_6bb78bee-a2ac-451b-bcbe-4a0e91830c94_totalLabel_en" xlink:label="lab_ifrs-full_AssetsLessCurrentLiabilities" xlink:role="http://www.xbrl.org/2003/role/totalLabel" xlink:type="resource" xmlns:xml="http://www.w3.org/XML/1998/namespace" xml:lang="en">Assets less current liabilities</link:label>
    <link:loc xlink:type="locator" xlink:label="loc_ifrs-full_AssetsLessCurrentLiabilities" xlink:href="http://xbrl.ifrs.org/taxonomy/2021-03-24/full_ifrs/full_ifrs-cor_2021-03-24.xsd#ifrs-full_AssetsLessCurrentLiabilities"/>
    <link:labelArc xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="loc_ifrs-full_AssetsLessCurrentLiabilities" xlink:to="lab_ifrs-full_AssetsLessCurrentLiabilities" xlink:type="arc" order="1"/>
    <link:label id="lab_ifrs-full_CashFlowsFromUsedInInvestingActivities_05d248a1-c57d-4017-a5ba-385c12df62f9_totalLabel_en" xlink:label="lab_ifrs-full_CashFlowsFromUsedInInvestingActivities" xlink:role="http://www.xbrl.org/2003/role/totalLabel" xlink:type="resource" xmlns:xml="http://www.w3.org/XML/1998/namespace" xml:lang="en">Cash flows from (used in) investing activities</link:label>
    <link:loc xlink:type="locator" xlink:label="loc_ifrs-full_CashFlowsFromUsedInInvestingActivities" xlink:href="http://xbrl.ifrs.org/taxonomy/2021-03-24/full_ifrs/full_ifrs-cor_2021-03-24.xsd#ifrs-full_CashFlowsFromUsedInInvestingActivities"/>
    <link:labelArc xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="loc_ifrs-full_CashFlowsFromUsedInInvestingActivities" xlink:to="lab_ifrs-full_CashFlowsFromUsedInInvestingActivities" xlink:type="arc" order="1"/>
    <link:label id="lab_btplc_SpecificItemsTable_label_en" xlink:label="lab_btplc_SpecificItemsTable" xlink:role="http://www.xbrl.org/2003/role/label" xlink:type="resource" xmlns:xml="http://www.w3.org/XML/1998/namespace" xml:lang="en">Specific Items [Table]</link:label>
    <link:loc xlink:type="locator" xlink:label="loc_btplc_SpecificItemsTable" xlink:href="549300OWFMSO9NYV4H90-2022-03-31.xsd#btplc_SpecificItemsTable"/>
    <link:labelArc xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="loc_btplc_SpecificItemsTable" xlink:to="lab_btplc_SpecificItemsTable" xlink:type="arc" order="1"/>
    <link:label id="lab_btplc_ProceedsOnDisposalOfCurrentFinancialAssetsClassifiedAsInvestingActivitiesAnchors_label_en" xlink:label="lab_btplc_ProceedsOnDisposalOfCurrentFinancialAssetsClassifiedAsInvestingActivitiesAnchors" xlink:role="http://www.xbrl.org/2003/role/label" xlink:type="resource" xmlns:xml="http://www.w3.org/XML/1998/namespace" xml:lang="en">Proceeds On Disposal Of Current Financial Assets Classified As Investing Activities Anchors</link:label>
    <link:label id="lab_btplc_ProceedsOnDisposalOfCurrentFinancialAssetsClassifiedAsInvestingActivitiesAnchors_documentation_en" xlink:label="lab_btplc_ProceedsOnDisposalOfCurrentFinancialAssetsClassifiedAsInvestingActivitiesAnchors" xlink:role="http://www.xbrl.org/2003/role/documentation" xlink:type="resource" xmlns:xml="http://www.w3.org/XML/1998/namespace" xml:lang="en">Proceeds On Disposal Of Current Financial Assets Classified As Investing Activities Anchors</link:label>
    <link:loc xlink:type="locator" xlink:label="loc_btplc_ProceedsOnDisposalOfCurrentFinancialAssetsClassifiedAsInvestingActivitiesAnchors" xlink:href="549300OWFMSO9NYV4H90-2022-03-31.xsd#btplc_ProceedsOnDisposalOfCurrentFinancialAssetsClassifiedAsInvestingActivitiesAnchors"/>
    <link:labelArc xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="loc_btplc_ProceedsOnDisposalOfCurrentFinancialAssetsClassifiedAsInvestingActivitiesAnchors" xlink:to="lab_btplc_ProceedsOnDisposalOfCurrentFinancialAssetsClassifiedAsInvestingActivitiesAnchors" xlink:type="arc" order="1"/>
    <link:label id="lab_btplc_AdjustmentsForProfitOnDisposalOfPropertyPlantAndEquipmentAndIntangibleAssetsAnchors_label_en" xlink:label="lab_btplc_AdjustmentsForProfitOnDisposalOfPropertyPlantAndEquipmentAndIntangibleAssetsAnchors" xlink:role="http://www.xbrl.org/2003/role/label" xlink:type="resource" xmlns:xml="http://www.w3.org/XML/1998/namespace" xml:lang="en">Adjustments For Profit On Disposal Of Property, Plant And Equipment And Intangible Assets Anchors</link:label>
    <link:label id="lab_btplc_AdjustmentsForProfitOnDisposalOfPropertyPlantAndEquipmentAndIntangibleAssetsAnchors_documentation_en" xlink:label="lab_btplc_AdjustmentsForProfitOnDisposalOfPropertyPlantAndEquipmentAndIntangibleAssetsAnchors" xlink:role="http://www.xbrl.org/2003/role/documentation" xlink:type="resource" xmlns:xml="http://www.w3.org/XML/1998/namespace" xml:lang="en">Adjustments For Profit On Disposal Of Property, Plant And Equipment And Intangible Assets Anchors</link:label>
    <link:loc xlink:type="locator" xlink:label="loc_btplc_AdjustmentsForProfitOnDisposalOfPropertyPlantAndEquipmentAndIntangibleAssetsAnchors" xlink:href="549300OWFMSO9NYV4H90-2022-03-31.xsd#btplc_AdjustmentsForProfitOnDisposalOfPropertyPlantAndEquipmentAndIntangibleAssetsAnchors"/>
    <link:labelArc xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="loc_btplc_AdjustmentsForProfitOnDisposalOfPropertyPlantAndEquipmentAndIntangibleAssetsAnchors" xlink:to="lab_btplc_AdjustmentsForProfitOnDisposalOfPropertyPlantAndEquipmentAndIntangibleAssetsAnchors" xlink:type="arc" order="1"/>
    <link:label id="lab_btplc_CashOutflowForChangesInOwnershipInterestInSubsidiariesd_label_en" xlink:label="lab_btplc_CashOutflowForChangesInOwnershipInterestInSubsidiariesd" xlink:role="http://www.xbrl.org/2003/role/label" xlink:type="resource" xmlns:xml="http://www.w3.org/XML/1998/namespace" xml:lang="en">Cash Outflow For Changes In Ownership Interest In Subsidiariesd</link:label>
    <link:loc xlink:type="locator" xlink:label="loc_btplc_CashOutflowForChangesInOwnershipInterestInSubsidiariesd" xlink:href="549300OWFMSO9NYV4H90-2022-03-31.xsd#btplc_CashOutflowForChangesInOwnershipInterestInSubsidiariesd"/>
    <link:labelArc xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="loc_btplc_CashOutflowForChangesInOwnershipInterestInSubsidiariesd" xlink:to="lab_btplc_CashOutflowForChangesInOwnershipInterestInSubsidiariesd" xlink:type="arc" order="1"/>
    <link:label id="lab_btplc_AdditionToPropertyPlantAndEquipmentAndSoftware_label_en" xlink:label="lab_btplc_AdditionToPropertyPlantAndEquipmentAndSoftware" xlink:role="http://www.xbrl.org/2003/role/label" xlink:type="resource" xmlns:xml="http://www.w3.org/XML/1998/namespace" xml:lang="en">Addition To Property, Plant And Equipment And Software</link:label>
    <link:label id="lab_btplc_AdditionToPropertyPlantAndEquipmentAndSoftware_documentation_en" xlink:label="lab_btplc_AdditionToPropertyPlantAndEquipmentAndSoftware" xlink:role="http://www.xbrl.org/2003/role/documentation" xlink:type="resource" xmlns:xml="http://www.w3.org/XML/1998/namespace" xml:lang="en">Addition To Property, Plant And Equipment And Software</link:label>
    <link:loc xlink:type="locator" xlink:label="loc_btplc_AdditionToPropertyPlantAndEquipmentAndSoftware" xlink:href="549300OWFMSO9NYV4H90-2022-03-31.xsd#btplc_AdditionToPropertyPlantAndEquipmentAndSoftware"/>
    <link:labelArc xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="loc_btplc_AdditionToPropertyPlantAndEquipmentAndSoftware" xlink:to="lab_btplc_AdditionToPropertyPlantAndEquipmentAndSoftware" xlink:type="arc" order="1"/>
    <link:label id="lab_ifrs-full_FinanceIncomeCost_e3d1ca78-874e-411d-bdf3-df4bfae829e4_totalLabel_en" xlink:label="lab_ifrs-full_FinanceIncomeCost" xlink:role="http://www.xbrl.org/2003/role/totalLabel" xlink:type="resource" xmlns:xml="http://www.w3.org/XML/1998/namespace" xml:lang="en">Finance income (cost)</link:label>
    <link:loc xlink:type="locator" xlink:label="loc_ifrs-full_FinanceIncomeCost" xlink:href="http://xbrl.ifrs.org/taxonomy/2021-03-24/full_ifrs/full_ifrs-cor_2021-03-24.xsd#ifrs-full_FinanceIncomeCost"/>
    <link:labelArc xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="loc_ifrs-full_FinanceIncomeCost" xlink:to="lab_ifrs-full_FinanceIncomeCost" xlink:type="arc" order="1"/>
    <link:label id="lab_btplc_AdjustmentsForDecreaseIncreaseInContractLiabilities_label_en" xlink:label="lab_btplc_AdjustmentsForDecreaseIncreaseInContractLiabilities" xlink:role="http://www.xbrl.org/2003/role/label" xlink:type="resource" xmlns:xml="http://www.w3.org/XML/1998/namespace" xml:lang="en">Adjustments For (Decrease) Increase In Contract Liabilities</link:label>
    <link:label id="lab_btplc_AdjustmentsForDecreaseIncreaseInContractLiabilities_documentation_en" xlink:label="lab_btplc_AdjustmentsForDecreaseIncreaseInContractLiabilities" xlink:role="http://www.xbrl.org/2003/role/documentation" xlink:type="resource" xmlns:xml="http://www.w3.org/XML/1998/namespace" xml:lang="en">Adjustments For (Decrease) Increase In Contract Liabilities</link:label>
    <link:loc xlink:type="locator" xlink:label="loc_btplc_AdjustmentsForDecreaseIncreaseInContractLiabilities" xlink:href="549300OWFMSO9NYV4H90-2022-03-31.xsd#btplc_AdjustmentsForDecreaseIncreaseInContractLiabilities"/>
    <link:labelArc xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="loc_btplc_AdjustmentsForDecreaseIncreaseInContractLiabilities" xlink:to="lab_btplc_AdjustmentsForDecreaseIncreaseInContractLiabilities" xlink:type="arc" order="1"/>
    <link:label id="lab_btplc_TransferredFromToTheIncomeStatement_label_en" xlink:label="lab_btplc_TransferredFromToTheIncomeStatement" xlink:role="http://www.xbrl.org/2003/role/label" xlink:type="resource" xmlns:xml="http://www.w3.org/XML/1998/namespace" xml:lang="en">Transferred From (To) The Income Statement</link:label>
    <link:loc xlink:type="locator" xlink:label="loc_btplc_TransferredFromToTheIncomeStatement" xlink:href="549300OWFMSO9NYV4H90-2022-03-31.xsd#btplc_TransferredFromToTheIncomeStatement"/>
    <link:labelArc xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="loc_btplc_TransferredFromToTheIncomeStatement" xlink:to="lab_btplc_TransferredFromToTheIncomeStatement" xlink:type="arc" order="1"/>
    <link:label id="lab_ifrs-full_CashFlowsFromUsedInFinancingActivities_ed87c03f-b58c-4a4a-819d-271826d13665_totalLabel_en" xlink:label="lab_ifrs-full_CashFlowsFromUsedInFinancingActivities" xlink:role="http://www.xbrl.org/2003/role/totalLabel" xlink:type="resource" xmlns:xml="http://www.w3.org/XML/1998/namespace" xml:lang="en">Cash flows from (used in) financing activities</link:label>
    <link:loc xlink:type="locator" xlink:label="loc_ifrs-full_CashFlowsFromUsedInFinancingActivities" xlink:href="http://xbrl.ifrs.org/taxonomy/2021-03-24/full_ifrs/full_ifrs-cor_2021-03-24.xsd#ifrs-full_CashFlowsFromUsedInFinancingActivities"/>
    <link:labelArc xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="loc_ifrs-full_CashFlowsFromUsedInFinancingActivities" xlink:to="lab_ifrs-full_CashFlowsFromUsedInFinancingActivities" xlink:type="arc" order="1"/>
    <link:label id="lab_btplc_PurchasesOfCurrentFinancialAssetsClassifiedAsInvestingActivities_label_en" xlink:label="lab_btplc_PurchasesOfCurrentFinancialAssetsClassifiedAsInvestingActivities" xlink:role="http://www.xbrl.org/2003/role/label" xlink:type="resource" xmlns:xml="http://www.w3.org/XML/1998/namespace" xml:lang="en">Purchases Of Current Financial Assets Classified As Investing Activities</link:label>
    <link:label id="lab_btplc_PurchasesOfCurrentFinancialAssetsClassifiedAsInvestingActivities_documentation_en" xlink:label="lab_btplc_PurchasesOfCurrentFinancialAssetsClassifiedAsInvestingActivities" xlink:role="http://www.xbrl.org/2003/role/documentation" xlink:type="resource" xmlns:xml="http://www.w3.org/XML/1998/namespace" xml:lang="en">Purchases Of Current Financial Assets Classified As Investing Activities</link:label>
    <link:loc xlink:type="locator" xlink:label="loc_btplc_PurchasesOfCurrentFinancialAssetsClassifiedAsInvestingActivities" xlink:href="549300OWFMSO9NYV4H90-2022-03-31.xsd#btplc_PurchasesOfCurrentFinancialAssetsClassifiedAsInvestingActivities"/>
    <link:labelArc xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="loc_btplc_PurchasesOfCurrentFinancialAssetsClassifiedAsInvestingActivities" xlink:to="lab_btplc_PurchasesOfCurrentFinancialAssetsClassifiedAsInvestingActivities" xlink:type="arc" order="1"/>
    <link:label id="lab_ifrs-full_CashFlowsFromUsedInOperations_3db47ea3-0baf-424a-a9a1-a36a0ea6bc40_totalLabel_en" xlink:label="lab_ifrs-full_CashFlowsFromUsedInOperations" xlink:role="http://www.xbrl.org/2003/role/totalLabel" xlink:type="resource" xmlns:xml="http://www.w3.org/XML/1998/namespace" xml:lang="en">Cash flows from (used in) operations</link:label>
    <link:loc xlink:type="locator" xlink:label="loc_ifrs-full_CashFlowsFromUsedInOperations" xlink:href="http://xbrl.ifrs.org/taxonomy/2021-03-24/full_ifrs/full_ifrs-cor_2021-03-24.xsd#ifrs-full_CashFlowsFromUsedInOperations"/>
    <link:labelArc xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="loc_ifrs-full_CashFlowsFromUsedInOperations" xlink:to="lab_ifrs-full_CashFlowsFromUsedInOperations" xlink:type="arc" order="1"/>
    <link:label id="lab_btplc_GroupIncomeStatementAxis_label_en" xlink:label="lab_btplc_GroupIncomeStatementAxis" xlink:role="http://www.xbrl.org/2003/role/label" xlink:type="resource" xmlns:xml="http://www.w3.org/XML/1998/namespace" xml:lang="en">Group Income Statement [Axis]</link:label>
    <link:label id="lab_btplc_GroupIncomeStatementAxis_documentation_en" xlink:label="lab_btplc_GroupIncomeStatementAxis" xlink:role="http://www.xbrl.org/2003/role/documentation" xlink:type="resource" xmlns:xml="http://www.w3.org/XML/1998/namespace" xml:lang="en">Group Income Statement</link:label>
    <link:loc xlink:type="locator" xlink:label="loc_btplc_GroupIncomeStatementAxis" xlink:href="549300OWFMSO9NYV4H90-2022-03-31.xsd#btplc_GroupIncomeStatementAxis"/>
    <link:labelArc xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="loc_btplc_GroupIncomeStatementAxis" xlink:to="lab_btplc_GroupIncomeStatementAxis" xlink:type="arc" order="1"/>
  </link:labelLink>
</link:linkbase>
